View Issue Details

IDProjectCategoryView StatusLast Update
0012177ScribusCanvaspublic2016-01-24 10:36
ReporterFirasH Assigned Tofschmid  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSopenSUSEOS Version13.1
Product Version1.5.0svn 
Target Version1.5.1Fixed in Version1.5.1svn 
Summary0012177: Changing Arc height/width places the Arc out of the Frame + crash
DescriptionMoving height/width handles over the opposite side of the frame of a Arc leads to canvas issues.
Steps To Reproduce0) Create a new document
1) Insert a Arc
2) Double-click on the Arc so that you can edit it
3) Move the handle of the height/width (blue button) over the opposite side of the Frame

Result: The Arc will be placed outside of the Frame margins.

4) Close Scribus or close SLA
Result: Crash (see backtrace)
Additional InformationScribus 1.5.0 SVN (18965) - Qt 5.2.1

Same kind of issue: 0012118

Updated report because of Crash bug.
TagsNo tags attached.
PatchNo

Relationships

related to 0013676 closedjghali move a control point outside the existing boundary of shape = changes X & width values in PP 
related to 0012118 closedjghali Resizing rotated items going over 0 width/height behaves strangely 
related to 0012901 closedjghali Resizing rotated Item leads to wrong positioning (X-Pos/Y-Pos values) on Canvas 

Activities

FirasH

2014-03-31 14:08

developer  

SpiralCanvasIssue.png (74,043 bytes)
SpiralCanvasIssue.png (74,043 bytes)

christoph_s

2014-04-02 20:12

administrator   ~0031594

This is not fixed: the issue persists.

jghali

2014-04-02 20:41

administrator   ~0031595

Not fixed indeed.

jghali

2014-04-04 15:30

administrator   ~0031605

Reopening to not lose track of this issue.

Kunda

2016-01-23 20:41

manager   ~0038376

Still reproducible in 1.5.1svn r20705
Added gif

Kunda

2016-01-23 21:00

manager   ~0038377

Last edited: 2016-01-23 21:01

View 2 revisions

While testing this bug I triggered a crash by trying to close the .sla after I was done.

added backtrace

Moved back to 1.5.1

Kunda

2016-01-23 21:01

manager  

bt.txt (6,694 bytes)
* thread #1: tid = 0xbcd57, 0x00000001001a13da Scribus`PageItem::getTransform() const + 28, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=1, address=0x0)
    frame #0: 0x00000001001a13da Scribus`PageItem::getTransform() const + 28
Scribus`PageItem::getTransform:
->  0x1001a13da <+28>: movq   (%r14), %rax
    0x1001a13dd <+31>: movq   %r14, %rdi
    0x1001a13e0 <+34>: callq  *0x158(%rax)
    0x1001a13e6 <+40>: testb  %al, %al
(lldb) bt
* thread #1: tid = 0xbcd57, 0x00000001001a13da Scribus`PageItem::getTransform() const + 28, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=1, address=0x0)
  * frame #0: 0x00000001001a13da Scribus`PageItem::getTransform() const + 28
    frame #1: 0x00000001000d0eca Scribus`CanvasMode_EditArc::drawControlsArc(QPainter*, PageItem*) + 324
    frame #2: 0x00000001000d0d7a Scribus`CanvasMode_EditArc::drawControls(QPainter*) + 118
    frame #3: 0x00000001000a10b4 Scribus`Canvas::paintEvent(QPaintEvent*) + 864
    frame #4: 0x0000000102389c52 QtWidgets`QWidget::event(QEvent*) + 2130
    frame #5: 0x000000010234b97b QtWidgets`QApplicationPrivate::notify_helper(QObject*, QEvent*) + 251
    frame #6: 0x000000010234e2de QtWidgets`QApplication::notify(QObject*, QEvent*) + 5630
    frame #7: 0x00000001037a84f3 QtCore`QCoreApplication::notifyInternal(QObject*, QEvent*) + 115
    frame #8: 0x0000000102383617 QtWidgets`QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) + 3079
    frame #9: 0x0000000102358038 QtWidgets`QWidgetBackingStore::doSync() + 4088
    frame #10: 0x0000000102389f6b QtWidgets`QWidget::event(QEvent*) + 2923
    frame #11: 0x0000000102490ed7 QtWidgets`QMainWindow::event(QEvent*) + 1751
    frame #12: 0x000000010234b97b QtWidgets`QApplicationPrivate::notify_helper(QObject*, QEvent*) + 251
    frame #13: 0x000000010234e2de QtWidgets`QApplication::notify(QObject*, QEvent*) + 5630
    frame #14: 0x00000001037a84f3 QtCore`QCoreApplication::notifyInternal(QObject*, QEvent*) + 115
    frame #15: 0x0000000102354b54 QtWidgets`QWidgetBackingStore::sendUpdateRequest(QWidget*, QWidgetBackingStore::UpdateTime) + 68
    frame #16: 0x00000001023552da QtWidgets`QWidgetBackingStore::markDirty(QRect const&, QWidget*, QWidgetBackingStore::UpdateTime, QWidgetBackingStore::BufferState) + 154
    frame #17: 0x000000010238d06d QtWidgets`QWidget::repaint(QRect const&) + 189
    frame #18: 0x000000010238cfa4 QtWidgets`QWidget::repaint() + 52
    frame #19: 0x00000001006b6b6f Scribus`PropertiesPalette::handleSelectionChanged() + 1663
    frame #20: 0x00000001037d879c QtCore`QMetaObject::activate(QObject*, int, int, void**) + 2988
    frame #21: 0x000000010046fa42 Scribus`Selection::sendSignals(bool) + 60
    frame #22: 0x000000010046f9f6 Scribus`Selection::clear() + 220
    frame #23: 0x000000010045772b Scribus`ScribusView::Deselect(bool) + 331
    frame #24: 0x00000001003b792d Scribus`ScribusMainWindow::DoFileClose() + 39
    frame #25: 0x000000010046cda1 Scribus`ScribusWin::closeEvent(QCloseEvent*) + 419
    frame #26: 0x0000000102389cc3 QtWidgets`QWidget::event(QEvent*) + 2243
    frame #27: 0x0000000102490ed7 QtWidgets`QMainWindow::event(QEvent*) + 1751
    frame #28: 0x000000010234b97b QtWidgets`QApplicationPrivate::notify_helper(QObject*, QEvent*) + 251
    frame #29: 0x000000010234e2de QtWidgets`QApplication::notify(QObject*, QEvent*) + 5630
    frame #30: 0x00000001037a84f3 QtCore`QCoreApplication::notifyInternal(QObject*, QEvent*) + 115
    frame #31: 0x0000000102379a3c QtWidgets`QWidgetPrivate::close_helper(QWidgetPrivate::CloseMode) + 204
    frame #32: 0x00000001024af4fa QtWidgets`QMdiSubWindow::closeEvent(QCloseEvent*) + 58
    frame #33: 0x0000000102389cc3 QtWidgets`QWidget::event(QEvent*) + 2243
    frame #34: 0x00000001024af0a6 QtWidgets`QMdiSubWindow::event(QEvent*) + 2230
    frame #35: 0x000000010234b97b QtWidgets`QApplicationPrivate::notify_helper(QObject*, QEvent*) + 251
    frame #36: 0x000000010234e2de QtWidgets`QApplication::notify(QObject*, QEvent*) + 5630
    frame #37: 0x00000001037a84f3 QtCore`QCoreApplication::notifyInternal(QObject*, QEvent*) + 115
    frame #38: 0x0000000102379a3c QtWidgets`QWidgetPrivate::close_helper(QWidgetPrivate::CloseMode) + 204
    frame #39: 0x00000001003b67a7 Scribus`ScribusMainWindow::slotFileClose() + 29
    frame #40: 0x000000010001543f Scribus`ScribusMainWindow::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) + 3331
    frame #41: 0x00000001037d879c QtCore`QMetaObject::activate(QObject*, int, int, void**) + 2988
    frame #42: 0x0000000102342a60 QtWidgets`QAction::activate(QAction::ActionEvent) + 288
    frame #43: 0x00000001037d879c QtCore`QMetaObject::activate(QObject*, int, int, void**) + 2988
    frame #44: 0x00000001037d118c QtCore`QObject::event(QEvent*) + 156
    frame #45: 0x000000010234b97b QtWidgets`QApplicationPrivate::notify_helper(QObject*, QEvent*) + 251
    frame #46: 0x000000010234e2de QtWidgets`QApplication::notify(QObject*, QEvent*) + 5630
    frame #47: 0x00000001037a9212 QtCore`QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) + 1058
    frame #48: 0x0000000104c67b0e libqcocoa.dylib`QCocoaEventDispatcherPrivate::processPostedEvents() + 190
    frame #49: 0x0000000104c68391 libqcocoa.dylib`QCocoaEventDispatcherPrivate::postedEventsSourceCallback(void*) + 33
    frame #50: 0x00007fff95581a01 CoreFoundation`__CFRUNLOOP_IS_CALLING_OUT_TO_A_SOURCE0_PERFORM_FUNCTION__ + 17
    frame #51: 0x00007fff95573b8d CoreFoundation`__CFRunLoopDoSources0 + 269
    frame #52: 0x00007fff955731bf CoreFoundation`__CFRunLoopRun + 927
    frame #53: 0x00007fff95572bd8 CoreFoundation`CFRunLoopRunSpecific + 296
    frame #54: 0x00007fff9104656f HIToolbox`RunCurrentEventLoopInMode + 235
    frame #55: 0x00007fff910461ee HIToolbox`ReceiveNextEventCommon + 179
    frame #56: 0x00007fff9104612b HIToolbox`_BlockUntilNextEventMatchingListInModeWithFilter + 71
    frame #57: 0x00007fff8eabb8ab AppKit`_DPSNextEvent + 978
    frame #58: 0x00007fff8eabae58 AppKit`-[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 346
    frame #59: 0x00007fff8eab0af3 AppKit`-[NSApplication run] + 594
    frame #60: 0x0000000104c672df libqcocoa.dylib`QCocoaEventDispatcher::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 2191
    frame #61: 0x00000001037a5c1c QtCore`QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 412
    frame #62: 0x00000001037a8a95 QtCore`QCoreApplication::exec() + 341
    frame #63: 0x00000001007e725d Scribus`mainApp(int, char**) + 90
    frame #64: 0x00007fff88f175c9 libdyld.dylib`start + 1
    frame #65: 0x00007fff88f175c9 libdyld.dylib`start + 1
bt.txt (6,694 bytes)

Kunda

2016-01-23 22:15

manager  

arc-issues.gif (19,808 bytes)
arc-issues.gif (19,808 bytes)

Kunda

2016-01-24 10:12

manager   ~0038395

Franz, thanks for tackling this. I'm rebuilding HEAD to test this. Perhaps if you have a moment could you also take a look at a similiar bug: 0012901

Kunda

2016-01-24 10:36

manager   ~0038397

Fixed in r20707
Thanks Franz and FirasH!
Closing

Issue History

Date Modified Username Field Change
2014-03-31 14:05 FirasH New Issue
2014-03-31 14:08 FirasH File Added: SpiralCanvasIssue.png
2014-03-31 19:29 fschmid Summary Changing Spiral height/witdh places the Spiral out of the Frame => Changing Arc height/witdh places the Arc out of the Frame
2014-03-31 19:29 fschmid Description Updated View Revisions
2014-03-31 19:29 fschmid Steps to Reproduce Updated View Revisions
2014-04-01 12:29 jghali Target Version => 1.5.0
2014-04-02 18:59 fschmid Status new => resolved
2014-04-02 18:59 fschmid Fixed in Version => 1.5.0svn
2014-04-02 18:59 fschmid Resolution open => fixed
2014-04-02 18:59 fschmid Assigned To => fschmid
2014-04-02 20:12 christoph_s Note Added: 0031594
2014-04-02 20:41 jghali Note Added: 0031595
2014-04-04 15:30 jghali Note Added: 0031605
2014-04-04 15:30 jghali Status resolved => feedback
2014-04-04 15:30 jghali Resolution fixed => reopened
2014-07-03 19:32 Kunda Target Version 1.5.0 => 1.5.1
2015-04-13 17:03 FirasH Patch => No
2015-04-13 17:03 FirasH Status feedback => assigned
2015-04-13 17:03 FirasH Resolution reopened => open
2015-04-13 17:03 FirasH Fixed in Version 1.5.0svn =>
2016-01-23 17:16 cbradney Target Version 1.5.1 => 1.5.3
2016-01-23 19:36 Kunda Relationship added related to 0013676
2016-01-23 20:41 Kunda Note Added: 0038376
2016-01-23 21:00 Kunda Note Added: 0038377
2016-01-23 21:00 Kunda Severity minor => crash
2016-01-23 21:00 Kunda Summary Changing Arc height/witdh places the Arc out of the Frame => Changing Arc height/witdh places the Arc out of the Frame + crash
2016-01-23 21:01 Kunda File Added: bt.txt
2016-01-23 21:01 Kunda Target Version 1.5.3 => 1.5.1
2016-01-23 21:01 Kunda Note Edited: 0038377 View Revisions
2016-01-23 21:02 Kunda Relationship added related to 0012118
2016-01-23 22:13 Kunda Steps to Reproduce Updated View Revisions
2016-01-23 22:13 Kunda Additional Information Updated View Revisions
2016-01-23 22:15 Kunda File Added: arc-issues.gif
2016-01-24 09:43 fschmid Status assigned => resolved
2016-01-24 09:43 fschmid Fixed in Version => 1.5.1svn
2016-01-24 09:43 fschmid Resolution open => fixed
2016-01-24 09:58 Kunda Summary Changing Arc height/witdh places the Arc out of the Frame + crash => Changing Arc height/width places the Arc out of the Frame + crash
2016-01-24 10:00 Kunda Relationship added related to 0012901
2016-01-24 10:12 Kunda Note Added: 0038395
2016-01-24 10:36 Kunda Note Added: 0038397
2016-01-24 10:36 Kunda Status resolved => closed